CRTMPSERVER(1)

NAME
crtmpserver - is a high performance streaming platform written on C++

SYNOPSIS
crtmpserver [options] <configuration>

DESCRIPTION

crtmpserver it is a high performance streaming server able to stream (live or recorded) in the following technologies:
    - To and from Flash (RTMP, RTMPE, RTMPS, RTMPT, RTMPTE)
    - To and from embedded devices: iPhone, Android
    - From surveillance cameras
    - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols

Also, crtmpserver can be used as a high performance rendes-vous server.
For example, it enables you to do:
    - Audio/Video conferencing
    - Online gaming
    - Online collaboration
    - Simple/complex chat applications

OPTIONS

--help
    Show summary of options.

--version
    Show version of program.

--use-implicit-console-appender
    Adds a console log appender.
    Particulary useful when the server starts and stops immediatly.
    Allows you to see if something is wrong with the config file.

--daemon
    Overrides the daemon setting inside the config file and forces the server to start in daemon mode.

--uid=<uid>
    Run the process with the specified user id.

--gid=<gid>
    Run the process with the specified group id.

--pid=<file name>
    This option tells crtmpserver to use the specified file as its pidfile. If the file exists, it will be over-written.
    Works only if --daemon option is specified.

FILES

/usr/sbin/crtmpserver
    Main daemon execution file

/etc/crtmpserver/crtmpserver.lua
    Main daemon configuration file

/var/log/crtmpserver/crtmpserver.log
    Default log file. May be changed in configuration.

SEE ALSO
The crtmpserver homepage: http://www.rtmpd.com/
Full documentation on crtmpserver, including guides and FAQs, is available at http://wiki.rtmpd.com/

Report bugs at http://trac.rtmpd.com/report

AUTHOR
crtmpserver was written by Gavriloaie Eugen-Andrei <crtmpserver@gmail.com>.

This manual page was written by Andriy Beregovenko <jet@jet.kiev.ua>, for the Debian project (and may be used by others).